> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Phone Numbers Route



## OpenAPI

````yaml /api-reference/openapi.json get /v1/voice-agents/phone-number/list
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/voice-agents/phone-number/list:
    get:
      summary: Return a list of phone numbers for a user.
      parameters:
        - name: voiceAgentId
          in: query
          schema:
            type: string
            description: >-
              Optional UUID of the voice agent to filter associated Twilio
              numbers.
            example: d949f13f-40d2-4e48-ac86-b66633070603
          required: false
        - name: skip
          in: query
          schema:
            type: string
            description: Page number for pagination. Defaults to '1'.
            example: '1'
          required: false
        - name: take
          in: query
          schema:
            type: string
            description: Number of items to take for pagination. Defaults to '10'.
            example: '10'
          required: false
        - name: provider
          in: query
          schema:
            type: string
            description: The type of the phone numbers provider to filter upon.
            enum:
              - TWILIO
              - SIP
            example: TWILIO
          required: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListUserPhoneNumbersResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Server Side Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ListUserPhoneNumbersResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Success
        data:
          type: array
          items:
            $ref: '#/components/schemas/PhoneNumberRecord'
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
    PhoneNumberRecord:
      type: object
      properties:
        id:
          type: string
          example: d949f13f-40d2-4e48-ac86-b66633070603
        number:
          type: string
          example: '+9700000000'
        label:
          type: string
          example: My Twilio Number
        type:
          type: string
          enum:
            - TWILIO
            - SIP
          example: TWILIO
        userId:
          type: string
          example: d949f13f-40d2-4e48-ac86-b66633070603
        sipInboundConfigs:
          type: object
          properties:
            originationUri:
              type: string
              enum:
                - sip:sip.eu.tryhamsa.com:5060;transport=tcp
              example: sip:sip.eu.tryhamsa.com:5060;transport=tcp
        sipOutboundConfigs:
          type: object
          properties:
            address:
              type: string
              example: sip.example.com
              minLength: 1
            transportType:
              type: string
              enum:
                - TCP
                - UDP
              example: TCP
            customHeaders:
              type: object
              additionalProperties: true
        voiceAgentId:
          type: string
          nullable: true
          example: d949f13f-40d2-4e48-ac86-b66633070603
        voiceAgent:
          type: object
          properties:
            id:
              type: string
              example: d949f13f-40d2-4e48-ac86-b66633070603
            name:
              type: string
              example: My Voice Agent
        createdAt:
          type: string
          example: '2023-01-01T12:00:00Z'
        updatedAt:
          type: string
          example: '2023-02-01T12:00:00Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````